Subject: bug#52231: 29.0.50; pixel-scroll-precision-mode conflicts with scroll-margin

From: Yuan Fu <[email-masked]>
Date: Sun, 5 Dec 2021 20:45:10 -0800

> On Dec 2, 2021, at 4:33 PM, Po Lu <[email-masked]> wrote:
> 
> Yuan Fu <[email-masked]> writes:
> 
>> I tried and it now works beautifully, thanks!
> 
>> However, scroll-margin seems to still mess up scrolling when there are
>> images. You don’t even need images taller than the window height. When
>> there are some images in the window, scrolling either doesn’t take any
>> effect (beginning of the video), or jerks around but doesn’t scroll
>> down (end of the video).
> 
> I don't know how to make that work.  I will look into it however, but
> that's a separate bug, so I'm closing this report.
> 
> Thanks.

I see that you are working on allowing point to be out side window. Maybe in that case (we allow point to be outside the window), scroll-margin would not take effect and this would not be a problem anymore. 

Yuan